Tests for end-of-file on a large object's descriptor

- « OCILob::close

- OCILob::erase »

- PHP Manual
- OCILob
- Tests for end-of-file on a large object's descriptor

# OCILob::eof

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

OCILob::eof — Tests for end-of-file on a large object's descriptor

### Description

public OCILob::eof(): bool

Tells whether the internal pointer of large object is at the end of LOB.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if internal pointer of large object is at the end of LOB. Otherwise returns `false`.

### Changelog

Version | Description
--- | ---
8.0.0, PECL OCI8 3.0.0 | The OCI-Lob class was renamed to OCILob to align with PHP naming standards.

### Notes

> Note:

> This function will return an Oracle error if OCILob::setBuffering is enabled on the LOB.

### See Also

- OCILob::size